package com.hw.ems.report.domain;

import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

import java.math.BigDecimal;

/**
 * 层级导出报表 exportReport
 *
 * @author YinQ
 * @date 2023-09-13
 */
public class ExportReport extends BaseEntity
{

    private static final long serialVersionUID = 1L;


    /**
     * 时间范围
     */
    @Excel(name = "时间范围")
    private String timeRange;

    /**
     * 一级计量设备编号
     */
    @Excel(name = "一级计量设备编号")
    private String oneMonitorId;

    /**
     * 一级计量设备名称
     */
    @Excel(name = "一级计量设备名称")
    private String oneMonitorName;

    /**
     * 一级耗量
     */
    @Excel(name = "一级耗量",cellType = Excel.ColumnType.NUMERIC)
    private BigDecimal oneExpend;

    /**
     * 二级计量设备编号
     */
    @Excel(name = "二级计量设备编号")
    private String twoMonitorId;

    /**
     * 二级计量设备名称
     */
    @Excel(name = "二级计量设备名称")
    private String twoMonitorName;

    /**
     * 二级耗量
     */
    @Excel(name = "二级耗量", cellType = Excel.ColumnType.NUMERIC)
    private BigDecimal twoExpend;

    /**
     * 三级计量设备编号
     */
    @Excel(name = "三级计量设备编号")
    private String threeMonitorId;

    /**
     * 三级计量设备名称
     */
    @Excel(name = "三级计量设备名称")
    private String threeMonitorName;

    /**
     * 三级耗量
     */
    @Excel(name = "三级耗量", cellType = Excel.ColumnType.NUMERIC)
    private BigDecimal threeExpend;

    /**
     * 四级计量设备编号
     */
    @Excel(name = "四级计量设备编号")
    private String fourMonitorId;

    /**
     * 四级计量设备名称
     */
    @Excel(name = "四级计量设备名称")
    private String fourMonitorName;

    /**
     * 四级耗量
     */
    @Excel(name = "四级耗量", cellType = Excel.ColumnType.NUMERIC)
    private BigDecimal fourExpend;

    /**
     * 五级计量设备编号
     */
    @Excel(name = "五级计量设备编号")
    private String fiveMonitorId;

    /**
     * 五级计量设备名称
     */
    @Excel(name = "五级计量设备名称")
    private String fiveMonitorName;

    /**
     * 五级耗量
     */
    @Excel(name = "五级耗量", cellType = Excel.ColumnType.NUMERIC)
    private BigDecimal fiveExpend;


    public String getTimeRange() {
        return timeRange;
    }

    public void setTimeRange(String timeRange) {
        this.timeRange = timeRange;
    }

    public String getOneMonitorId() {
        return oneMonitorId;
    }

    public void setOneMonitorId(String oneMonitorId) {
        this.oneMonitorId = oneMonitorId;
    }

    public String getOneMonitorName() {
        return oneMonitorName;
    }

    public void setOneMonitorName(String oneMonitorName) {
        this.oneMonitorName = oneMonitorName;
    }

    public BigDecimal getOneExpend() {
        return oneExpend;
    }

    public void setOneExpend(BigDecimal oneExpend) {
        this.oneExpend = oneExpend;
    }

    public String getTwoMonitorId() {
        return twoMonitorId;
    }

    public void setTwoMonitorId(String twoMonitorId) {
        this.twoMonitorId = twoMonitorId;
    }

    public String getTwoMonitorName() {
        return twoMonitorName;
    }

    public void setTwoMonitorName(String twoMonitorName) {
        this.twoMonitorName = twoMonitorName;
    }

    public BigDecimal getTwoExpend() {
        return twoExpend;
    }

    public void setTwoExpend(BigDecimal twoExpend) {
        this.twoExpend = twoExpend;
    }

    public String getThreeMonitorId() {
        return threeMonitorId;
    }

    public void setThreeMonitorId(String threeMonitorId) {
        this.threeMonitorId = threeMonitorId;
    }

    public String getThreeMonitorName() {
        return threeMonitorName;
    }

    public void setThreeMonitorName(String threeMonitorName) {
        this.threeMonitorName = threeMonitorName;
    }

    public BigDecimal getThreeExpend() {
        return threeExpend;
    }

    public void setThreeExpend(BigDecimal threeExpend) {
        this.threeExpend = threeExpend;
    }

    public String getFourMonitorId() {
        return fourMonitorId;
    }

    public void setFourMonitorId(String fourMonitorId) {
        this.fourMonitorId = fourMonitorId;
    }

    public String getFourMonitorName() {
        return fourMonitorName;
    }

    public void setFourMonitorName(String fourMonitorName) {
        this.fourMonitorName = fourMonitorName;
    }

    public BigDecimal getFourExpend() {
        return fourExpend;
    }

    public void setFourExpend(BigDecimal fourExpend) {
        this.fourExpend = fourExpend;
    }

    public String getFiveMonitorId() {
        return fiveMonitorId;
    }

    public void setFiveMonitorId(String fiveMonitorId) {
        this.fiveMonitorId = fiveMonitorId;
    }

    public String getFiveMonitorName() {
        return fiveMonitorName;
    }

    public void setFiveMonitorName(String fiveMonitorName) {
        this.fiveMonitorName = fiveMonitorName;
    }

    public BigDecimal getFiveExpend() {
        return fiveExpend;
    }

    public void setFiveExpend(BigDecimal fiveExpend) {
        this.fiveExpend = fiveExpend;
    }



}
